import * as z from 'zod';
// prettier-ignore
export const CommissionBatchInputSchema = z.object({
    id: z.number().int(),
    npiProviderId: z.number().int(),
    totalCollection: z.number(),
    commissionAmount: z.number(),
    notes: z.string().optional().nullable(),
    createdAt: z.date(),
    npiProvider: z.unknown(),
    items: z.array(z.unknown())
}).strict();

export type CommissionBatchInputType = z.infer<typeof CommissionBatchInputSchema>;
